Subject: Re: bug#47313: 27.1; highlight functions should accept colors too

From: Eli Zaretskii <[email-masked]>
Date: Mon, 22 Mar 2021 21:01:45 +0200

> Date: Mon, 22 Mar 2021 18:39:11 +0000
> From: scame <[email-masked]>
> Cc: "[email-masked]" <[email-masked]>
> 
> > We could try that, but I fear that the result of showing many faces in
> > the same buffer one besides the other will look ugly, while displaying
> > them one face per line would make a very long buffer, scrolling
> > through which could be impractical.
> 
> It can't be uglier than the completions of read-color which is pretty bad.

I think it can.  But again, you are welcome to try that, perhaps I'm
wrong.

> It's a cacophony of colors and some of them are hard to read:
> 
> https://i.imgur.com/NtIDihs.png

I don't see any cacophony, and have no difficulty reading the names.
Besides, when you see the color itself, why does it matter how it is
named?

> 
> IMO the list-colors-display UI is much better even if it's longer (and if
> it's a completion list then it's easy to narrow it down):
> 
> https://www.valenciatech.com/wp-content/uploads/2019/08/gnu-emacs-list-colors-display.png

FWIW, I'd be annoyed by the length of this long before I found the
color I was after.  But that's me.